
RSBag - Enhancement #1022
bag-record should terminate with non-zero exit code when something goes wrong
06/23/2012 03:45 AM - J. Moringen

Status: Resolved Start date: 06/23/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description
Examples include:
    -  Spread connection is lost during recording
    -  Event encoding fails

Related issues:
Related to Robotics Service Bus - Tasks # 1037: Implement error handling subs... Resolved 06/25/2012

Associated revisions
Revision 2a82bd60 - 08/10/2012 03:07 AM - J. Moringen
Proper error policy handling in src/rsb/*-connection.lisp
refs #1022
    -  src/rsb/bag-connection.lisp (bag-connection): added superclass

  `error-policy-mixin'
  (shared-initialize :after bag-connection t): new method; force error
  policy update
  (setf processor-error-policy :before t bag-connection): install new
  error policy in all `channel-connection' s
  (setf processor-error-policy :before t replay-bag-connection):
  install new error policy in replay strategy

    -  src/rsb/channel-connection.lisp (channel-connection): added superclass
  `error-policy-mixin'
  (shared-initialize :after participant-channel-connection t): new
  method; force error policy update
  (setf processor-error-policy :before t participant-channel-connection):
  install new error policy in participant

    -  src/rsb/replay/replay-restart-mixin.lisp
  (replay :around replay-bag-connection replay-restart-mixin):
  continue restart accepts optional condition argument

Revision 5beb7ab8 - 08/10/2012 08:55 PM - J. Moringen
Added toplevel error handling in bag-*/main.lisp
refs #1022
    -  bag-cat/main.lisp (update-synopsis): call

  `make-error-handling-options' to add error-handling-related
  commandline options
  (main): use `with-error-policy'

    -  bag-info/main.lisp: similar
    -  bag-merge/main.lisp: similar
    -  bag-play/main.lisp: similar
    -  bag-record/main.lisp (update-synopsis): similar

  (main): use `with-error-policy; install error policy in the
  connection
Revision ce476f94 - 08/11/2012 03:25 AM - J. Moringen
Backport: Proper error policy handling in src/rsb/*-connection.lisp
refs #1022
    -  src/rsb/bag-connection.lisp (bag-connection): added superclass

  `error-policy-mixin'
  (shared-initialize :after bag-connection t): new method; force error
  policy update
  (setf processor-error-policy :before t bag-connection): install new
  error policy in all `channel-connection' s
  (setf processor-error-policy :before t replay-bag-connection):
  install new error policy in replay strategy

    -  src/rsb/channel-connection.lisp (channel-connection): added superclass
  `error-policy-mixin'
  (shared-initialize :after participant-channel-connection t): new
  method; force error policy update
  (setf processor-error-policy :before t participant-channel-connection):
  install new error policy in participant

    -  src/rsb/replay/replay-restart-mixin.lisp
  (replay :around replay-bag-connection replay-restart-mixin):
  continue restart accepts optional condition argument

Revision 7f3f29d0 - 08/11/2012 04:09 AM - J. Moringen
Backport: Added toplevel error handling in bag-*/main.lisp
refs #1022
    -  bag-cat/main.lisp (update-synopsis): call

  `make-error-handling-options' to add error-handling-related
  commandline options
  (main): use `with-error-policy'

    -  bag-info/main.lisp: similar
    -  bag-merge/main.lisp: similar
    -  bag-play/main.lisp: similar
    -  bag-record/main.lisp (update-synopsis): similar

  (main): use `with-error-policy; install error policy in the
  connection

History
#1 - 06/23/2012 04:00 AM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 20

#2 - 08/10/2012 09:13 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 20 to 100
